libzypp: zypp::sat::WhatObsoletes Class Reference

libzypp 17.38.5

zypp::sat::WhatObsoletes Class Reference

Container of installed Solvable which would be obsoleted by the Solvable passed to the ctor. More...

`#include <zypp/sat/WhatObsoletes.h>`

Inheritance diagram for zypp::sat::WhatObsoletes:

## Public Types
using | value_type = Solvable
using | size_type = unsigned int
using | const_iterator = detail::WhatProvidesIterator
Public Types inherited from zypp::sat::SolvIterMixin< WhatObsoletes, detail::WhatProvidesIterator >
using | size_type
using | Solvable_iterator
using | PoolItem_iterator
using | Selectable_iterator

## Public Member Functions
| WhatObsoletes ()
| Default ctor.
| WhatObsoletes (Solvable item_r)
| Ctor from Solvable.
| WhatObsoletes (const PoolItem &item_r)
| Ctor from PoolItem.
| WhatObsoletes (const ResObject_constPtr &item_r)
| Ctor from ResObject::constPtr.
template<class TIterator>
| WhatObsoletes (TIterator begin, TIterator end)
| Ctor from a range of Solvable, PoolItem or ResObject::constPtr.
bool | empty () const
| Whether the container is empty.
size_type | size () const
| Number of solvables inside.
const_iterator | begin () const
| Iterator pointing to the first Solvable.
const_iterator | end () const
| Iterator pointing behind the last Solvable.
Public Member Functions inherited from zypp::sat::SolvIterMixin< WhatObsoletes, detail::WhatProvidesIterator >
bool | empty () const
| Whether the collection is epmty.
size_type | size () const
| Size of the collection.
bool | contains (const TSolv &solv_r) const
| Whether collection contains a specific Solvable.
Solvable_iterator | solvableBegin () const
Solvable_iterator | solvableEnd () const
Iterable< Solvable_iterator > | solvable () const
PoolItem_iterator | poolItemBegin () const
PoolItem_iterator | poolItemEnd () const
Iterable< PoolItem_iterator > | poolItem () const
Selectable_iterator | selectableBegin () const
Selectable_iterator | selectableEnd () const
Iterable< Selectable_iterator > | selectable () const

## Private Member Functions
void | ctorAdd (const PoolItem &item_r)
void | ctorAdd (const ResObject_constPtr &item_r)
void | ctorAdd (Solvable item_r)
void | ctorDone ()

## Private Attributes
const sat::detail::IdType * | _begin
shared_ptr< void > | _private

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const WhatObsoletes &obj)
| Stream output.

## Additional Inherited Members
| SolvIterMixin ()
| ~SolvIterMixin ()
SolvIterMixin & | operator= (const SolvIterMixin &)=default
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()

## Detailed Description

Container of installed Solvable which would be obsoleted by the Solvable passed to the ctor.

Todo
  Publish obsoleteUsesProvides config option.

Definition at line 36 of file WhatObsoletes.h.

## Member Typedef Documentation

## ◆ value_type

using zypp::sat::WhatObsoletes::value_type = Solvable

Definition at line 40 of file WhatObsoletes.h.

## ◆ size_type

using zypp::sat::WhatObsoletes::size_type = unsigned int

Definition at line 41 of file WhatObsoletes.h.

## ◆ const_iterator

using zypp::sat::WhatObsoletes::const_iterator = detail::WhatProvidesIterator

Definition at line 80 of file WhatObsoletes.h.

## Constructor & Destructor Documentation

## ◆ WhatObsoletes() [1/5]

zypp::sat::WhatObsoletes::WhatObsoletes | ( |  | ) |
| inline

Default ctor.

Definition at line 45 of file WhatObsoletes.h.

## ◆ WhatObsoletes() [2/5]

zypp::sat::WhatObsoletes::WhatObsoletes | ( | Solvable | item_r | ) |
| explicit

Ctor from Solvable.

Definition at line 48 of file WhatObsoletes.cc.

## ◆ WhatObsoletes() [3/5]

zypp::sat::WhatObsoletes::WhatObsoletes | ( | const PoolItem & | item_r | ) |
| explicit

Ctor from PoolItem.

Definition at line 55 of file WhatObsoletes.cc.

## ◆ WhatObsoletes() [4/5]

zypp::sat::WhatObsoletes::WhatObsoletes | ( | const ResObject_constPtr & | item_r | ) |
| explicit

Ctor from ResObject::constPtr.

## ◆ WhatObsoletes() [5/5]

template<class TIterator>

zypp::sat::WhatObsoletes::WhatObsoletes | ( | TIterator | begin,
|  | TIterator | end )
| inline

Ctor from a range of Solvable, PoolItem or ResObject::constPtr.

Definition at line 63 of file WhatObsoletes.h.

## Member Function Documentation

## ◆ empty()

bool zypp::sat::WhatObsoletes::empty | ( |  | ) | const
| inline

Whether the container is empty.

Definition at line 73 of file WhatObsoletes.h.

## ◆ size()

WhatObsoletes::size_type zypp::sat::WhatObsoletes::size | ( |  | ) | const

Number of solvables inside.

Definition at line 148 of file WhatObsoletes.cc.

## ◆ begin()

const_iterator zypp::sat::WhatObsoletes::begin | ( |  | ) | const
| inline

Iterator pointing to the first Solvable.

Definition at line 83 of file WhatObsoletes.h.

## ◆ end()

const_iterator zypp::sat::WhatObsoletes::end | ( |  | ) | const
| inline

Iterator pointing behind the last Solvable.

Definition at line 87 of file WhatObsoletes.h.

## ◆ ctorAdd() [1/3]

void zypp::sat::WhatObsoletes::ctorAdd | ( | const PoolItem & | item_r | ) |
| private

Definition at line 72 of file WhatObsoletes.cc.

## ◆ ctorAdd() [2/3]

void zypp::sat::WhatObsoletes::ctorAdd | ( | const ResObject_constPtr & | item_r | ) |
| private

Definition at line 75 of file WhatObsoletes.cc.

## ◆ ctorAdd() [3/3]

void zypp::sat::WhatObsoletes::ctorAdd | ( | Solvable | item_r | ) |
| private

Definition at line 92 of file WhatObsoletes.cc.

## ◆ ctorDone()

void zypp::sat::WhatObsoletes::ctorDone | ( |  | ) |
| private

Definition at line 133 of file WhatObsoletes.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const WhatObsoletes & | obj )
| related

Stream output.

Definition at line 166 of file WhatObsoletes.cc.

## Member Data Documentation

## ◆ _begin

const sat::detail::IdType* zypp::sat::WhatObsoletes::_begin
| private

Definition at line 97 of file WhatObsoletes.h.

## ◆ _private

shared_ptr<void> zypp::sat::WhatObsoletes::_private
| private

Definition at line 98 of file WhatObsoletes.h.

The documentation for this class was generated from the following files:

- zypp/sat/WhatObsoletes.h
- zypp/sat/WhatObsoletes.cc